
Redmine - Defect #8049

Git: fetch_changesets not updating project's repository

2011-04-02 01:04 - Yang Zhang

Status: Closed Start date: 2011-04-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

rake -f /.../redmine/Rakefile redmine:fetch_changesets RAILS_ENV=production no longer seems to be working on my project's git

repo.  The last known commit was from 22d ago.  Running the rake job produces no output (besides (in /root).  How do I get to the

bottom of this?

Related issues:

Related to Redmine - Defect #5357: Git: SCM revisions ordered by date/time (s... New 2010-04-20

Related to Redmine - Defect #7648: Git: Repository Statistics Incorrect New 2011-02-18

Is duplicate of Redmine - Defect #7146: Git adapter lost commits before 7 day... Closed 2010-12-21

History

#1 - 2011-04-02 02:47 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #7146.

#2 - 2011-04-02 02:48 - Toshi MARUYAMA

- Category set to SCM

#3 - 2011-04-02 02:49 - Yang Zhang

- Status changed from Closed to Reopened

Toshi, we don't have any non-master branches - are you sure this is a duplicate?

#4 - 2011-04-02 02:56 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Yes. You need to use bare repository.

#5 - 2011-04-02 02:57 - Yang Zhang

Um, it is a bare repo:

$ ls /var/git/sales.git/

branches/  description  hooks/  objects/   packed-refs

config     HEAD         info/   ORIG_HEAD  refs/

#6 - 2011-04-02 02:58 - Yang Zhang

- Status changed from Closed to Reopened

#7 - 2011-04-02 03:03 - Toshi MARUYAMA

- Subject changed from fetch_changesets not updating project's repository to Git: fetch_changesets not updating project's repository

#8 - 2011-04-02 03:06 - Toshi MARUYAMA

- Status changed from Reopened to Closed
https://www.redmine.org/issues/7146


Redmine runs "git branch" at source:tags/1.1.2/lib/redmine/scm/adapters/git_adapter.rb#L38 .

#9 - 2011-04-02 03:14 - Yang Zhang

- Status changed from Closed to Reopened

Toshi, we are using 1.0.5 (we cannot upgrade), and the code is the same: source:tags/1.0.5/lib/redmine/scm/adapters/git_adapter.rb#L38.

As I mentioned, we have no non-master branches:

$ git branch

* master

 Also, our problem hasn't been resolved - why are you repeatedly closing this ticket?

#10 - 2011-04-02 03:21 - Toshi MARUYAMA

> $ git branch

> * master

> 

 

It means you don't have branches except master.

You need to push other branches to your bare repsitory.

$ git push origin branch:branch

#11 - 2011-04-02 03:21 - Toshi MARUYAMA

- Status changed from Reopened to Closed

#12 - 2011-04-02 03:37 - Toshi MARUYAMA

- Resolution changed from Duplicate to Invalid

#13 - 2011-04-02 20:33 - Yang Zhang

- Status changed from Closed to Reopened

Toshi, that doesn't work - see below, Redmine's still not updating properly. Why do you keep marking this closed? And why is this marked Invalid?

$ git branch testing

$ git branch

* master

  testing

#14 - 2011-04-03 00:56 - Toshi MARUYAMA

- Status changed from Reopened to Closed

This is redmine issue tracker.

You should use redmine forum.

#15 - 2011-04-03 01:00 - Toshi MARUYAMA

Try "git log --all" or "gitk --all" on your bare repository.

#16 - 2011-04-03 01:11 - Toshi MARUYAMA

- Resolution changed from Invalid to Duplicate

#17 - 2011-04-03 01:14 - Toshi MARUYAMA

Your description "The last known commit was from 22d ago" means known 7 days problem.

If you still have problem, you should not post to this issue, you should post to #7146.

#18 - 2011-04-03 02:50 - Yang Zhang

git log --all shows our most recent commits just fine (from yesterday).
Yes, I mentioned "22d ago" and the other ticket is titled "before 7 days," but that doesn't imply it's the same problem.

I've moved this to the forum: http://www.redmine.org/boards/2/topics/23033

#19 - 2011-04-03 03:15 - Toshi MARUYAMA

Yang Zhang wrote:

Yes, I mentioned "22d ago" and the other ticket is titled "before 7 days," but that doesn't imply it's the same problem.

 I have changed #7146 title.

Powered by TCPDF (www.tcpdf.org)

2025-07-08 3/3

http://www.redmine.org/boards/2/topics/23033
https://www.redmine.org/issues/7146
http://www.tcpdf.org

